Subject: Re: Git User's Survey 2007 unfinished summary continued

From: "Shawn O. Pearce" <[email-masked]>
Date: Fri, 12 Oct 2007 22:53:05 -0400

Johannes Schindelin <[email-masked]> wrote:
> On Sat, 13 Oct 2007, Jakub Narebski wrote:
> >  * I'm wondering what the overall goal is - git's origin as a neutral
> >    ground was fine but it hasn't seemed to take off as a viable
> >    alternative for general use.  Do you care about that?  Is it ok
> >    that git is it's own little niche?
> > 
> >    (Junio, Linus?)
> 
> I am neither, but FWIW I did not have the impression that it is in its own 
> little niche.

I'm neither too.  But I don't think Git is in a niche.  OK, well,
in the overall world of software development its certainly in the
niche of version control, as uh, it doesn't do Enterprise Resource
Planning and Large Scale Embezzlement of Monies (ERPaLSEM).

Actually I've seen a number of people on the interweb saying things
like they were switching their project to Git because they felt
it had more staying power than say Monotone or Mercurial, partly
because the kernel devs were actively using it, partly because the
file formats are so simple and sane, and partly because lots of
other projects are using it or are seriously considering it.

> At the GSoC mentor summit, I encountered a rather different stance: people 
> did not _know_ what distributed SCM means, and were rather afraid of the 
> concept.  Some of them seemed to fight changing their known procedures 
> tooth and nail.  Which is fine by me (I don't have to force anybody to 
> use git, thankyouverymuch).

Yes, this attitude *shocked the hell out of me*.  I really did not
expect it.  I nearly keeled over and died when I realized what the
folks in the back corner of the room were saying.

WINE uses Git.  Some folks were outright pissed off that there
was only one committer in WINE.  I think they felt the project
was maybe going to die because there was only one committer who
could apply patches.  That may wind up being true (there's only so
far that one human can scale without trusted helpers for different
submodules of a large system) but its not Git's fault, or any other
DVCS's fault for that matter.  At least its easy to fork WINE.

On the other hand active participants of two major organizations (KDE
and Eclipse) are starting to seriously look at Git.  The interest
in Git is growing in both of those groups, which can only be good
for us.  We'll learn more about how these groups do development,
and how we can best help them to accomplish more.
 
-- 
Shawn.